/**!
 Theme Name:   Tombolaonline
 Theme URI:    https://tombolaonline.info
 Description:  Tombolaonline theme
 Author:       Tombolaonline
 Author URI:   https://tombolaonline.info
 Template:     generatepress
 Version:      1.1.0
*/
:root {
  --font-xs: clamp(0.8889rem, 0.8545rem + 0.1718vi, 0.9877rem);
  --font-sm: clamp(1rem, 0.9614rem + 0.1932vi, 1.1111rem);
  --font-base: clamp(1.125rem, 1.0815rem + 0.2174vi, 1.25rem);
  --font-lg: clamp(1.2656rem, 1.2167rem + 0.2446vi, 1.4063rem);
  --font-xl: clamp(1.4238rem, 1.3688rem + 0.2751vi, 1.582rem);
  --font-xxl: clamp(1.6018rem, 1.5399rem + 0.3095vi, 1.7798rem);
  --font-h2: clamp(1.802rem, 1.7324rem + 0.3482vi, 2.0023rem);
  --font-h1: clamp(2.0273rem, 1.9489rem + 0.3917vi, 2.2525rem);
  --contrast: #242f40;
  --contrast-2: #748386;
  --contrast-3: #d1dede;
  --base: #fedc2a;
  --base-2: #f7f8f9;
  --base-3: #ffffff;
  --accent: #f26430;
  --accent-2: #006600;
  --body-link: #8A0946;
  --body-link-hover: #6D0034;
  --color-light-base: #ffea7b;
  --color-base-2: #f0f4c3;
  --color-base-3: #e6ee9c;
  --color-base-4: #f9fbe7 ;
}

.review-table.too-table .affiliate-link a, .btn-shine {
  transition: 0.5s;
  background-size: 200% auto;
  box-shadow: 0 0 14px -7px #830C44;
  background-image: linear-gradient(45deg, rgb(138, 9, 70) 0%, rgb(187, 60, 120) 51%, rgb(138, 9, 70) 100%);
}

.review-table.too-table .affiliate-link a:hover, .btn-shine:hover {
  background-position: right center;
  text-decoration: none;
}

@font-face {
  font-family: "Rubik";
  src: url("fonts/Rubik-Light.woff2") format("woff2"), url("fonts/Rubik-Light.woff") format("woff");
  font-weight: 300;
  font-style: normal;
}
@font-face {
  font-family: "Rubik";
  src: url("fonts/Rubik-Bold.woff2") format("woff2"), url("fonts/Rubik-Bold.woff") format("woff");
  font-weight: bold;
  font-style: normal;
}
@font-face {
  font-family: "Rubik";
  src: url("fonts/Rubik-Medium.woff2") format("woff2"), url("fonts/Rubik-Medium.woff") format("woff");
  font-weight: 500;
  font-style: normal;
}
@font-face {
  font-family: "Rubik";
  src: url("fonts/Rubik-Italic.woff2") format("woff2"), url("fonts/Rubik-Italic.woff") format("woff");
  font-weight: normal;
  font-style: italic;
}
@font-face {
  font-family: "Rubik";
  src: url("fonts/Rubik-Regular.woff2") format("woff2"), url("fonts/Rubik-Regular.woff") format("woff");
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: "Rubik";
  src: url("fonts/Rubik-ExtraBold.woff2") format("woff2"), url("fonts/Rubik-ExtraBold.woff") format("woff");
  font-weight: bold;
  font-style: normal;
}
@font-face {
  font-family: "Rubik";
  src: url("fonts/Rubik-Black.woff2") format("woff2"), url("fonts/Rubik-Black.woff") format("woff");
  font-weight: 900;
  font-style: normal;
}
@font-face {
  font-family: "Rubik";
  src: url("fonts/Rubik-Light.woff2") format("woff2"), url("fonts/Rubik-Light.woff") format("woff");
  font-weight: 300;
  font-style: normal;
}
@font-face {
  font-family: "Rubik";
  src: url("fonts/Rubik-SemiBold.woff2") format("woff2"), url("fonts/Rubik-SemiBold.woff") format("woff");
  font-weight: 600;
  font-style: normal;
}
a:hover {
  text-decoration: none;
}

b, strong {
  font-weight: 600;
}

.link-underline a,
a.link-underline {
  border-bottom: 2px dotted var(--contrast);
}
.link-underline a:hover,
a.link-underline:hover {
  border-bottom-color: var(--base);
}

.box-shadow-1 {
  box-shadow: rgba(0, 0, 0, 0.24) 0 3px 8px;
}

.box-shadow-2 {
  box-shadow: rgb(38, 57, 77) 0px 20px 30px -10px;
}

.m0 {
  margin: 0;
}

.text-xs {
  font-size: var(--font-xs);
  line-height: 1.5;
}

.text-sm {
  font-size: var(--font-sm);
  line-height: 1.5;
}

.color-contrast-2 {
  color: var(--contrast-2);
}

.italic {
  font-style: italic;
}

.align-items-stretch {
  align-items: stretch;
}

.entry-term-content {
  padding-left: 20px;
}

.auto-width.gb-query-loop-wrapper {
  flex: 1;
}

.site-header {
  border-bottom: 5px solid var(--color-light-base);
}
.site-header .header-image {
  width: 200px;
}

.hero-operatori .entry-meta {
  margin-top: 0;
}

.sticky-enabled .main-navigation.is_stuck {
  background-color: var(--base);
  box-shadow: rgba(0, 0, 0, 0.24) 0 3px 8px;
}

.navigation-branding .sticky-navigation-logo img.is-logo-image {
  max-width: 200px !important;
  height: auto;
}

.entry-content .wp-block-image img[class^=wp-image-],
.entry-content .wp-block-image .gb-image,
.entry-content .gb-block-image img[class^=wp-image-],
.entry-content .gb-block-image .gb-image {
  margin-bottom: 30px;
  border-radius: 5px;
}

/* TOC */
.too-toc-desktop div#ez-toc-container {
  margin-bottom: 0;
  width: 100%;
}
.too-toc-desktop div#ez-toc-container nav {
  display: block;
  max-height: none;
  transition: none;
  position: absolute;
  top: 50px;
  left: 0;
  right: 0;
  border-radius: 10px;
  border: 2px solid #fff;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
  background: linear-gradient(to bottom, var(--color-base-2) 0%, var(--color-base-4) 100%);
}

div#ez-toc-container {
  border-radius: 10px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
  border: 2px solid #fff;
  background-color: var(--color-base-2);
  padding: 10px 20px 10px 10px;
  margin-bottom: 30px;
  position: relative;
}
div#ez-toc-container nav {
  display: block;
  max-height: none;
  transition: none;
  border-radius: 10px;
  padding: 15px 10px;
  margin-top: 15px;
  z-index: 1;
}
div#ez-toc-container nav ul li {
  font-size: 14px;
}
div#ez-toc-container nav ul ul li {
  font-size: 13px;
}
div#ez-toc-container span.ez-toc-cssicon {
  border: 1px solid rgba(0, 0, 0, 0.4);
  border-radius: 3px;
  left: 10px;
  width: 30px;
}
div#ez-toc-container .ez-toc-icon-toggle-span {
  width: auto;
  height: auto;
}
div#ez-toc-container .ez-toc-title-container {
  margin-bottom: 15px;
}
div#ez-toc-container .ez-toc-title {
  font-size: 14px;
}
div#ez-toc-container ul li {
  margin-bottom: 5px;
}
div#ez-toc-container a:hover {
  text-decoration: none;
}
div#ez-toc-container a.ez-toc-link {
  border-bottom: 2px dotted transparent;
}
div#ez-toc-container a.ez-toc-link:hover {
  border-bottom: 2px dotted var(--body-link);
}

#right-sidebar .wrapper-toc {
  display: none;
}
#right-sidebar .wrapper-toc .ez-toc-cssicon-toggle-label {
  display: none;
}

.wrapper-toc-page .ez-toc-wrap-left-text {
  /** dio di quel porco maiale**/
  float: none !important;
}
.wrapper-toc-page > div#ez-toc-container {
  margin-bottom: 0;
}

/*.wrapper-top-mobile {
  display: table;
  margin: 0;
  width: 100%;

  div#ez-toc-container {
    border-radius: 2px;

    ul li {
      font-size: 90%;
    }

    .ez-toc-cssicon:hover {
      background-color: #fff;
    }
  }
}*/
/* shortcode */
.too-user-author {
  display: flex;
  gap: 10px;
  align-items: center;
}

.too-user-author p,
.too-updated-at {
  margin-bottom: 0;
}

.too-user-author p {
  font-weight: bold;
}

.too-related-page {
  padding: 0;
}
.too-related-page ul {
  display: flex;
  flex-wrap: wrap;
  align-items: start;
  list-style: none;
  margin: 0;
  flex-direction: column;
}
.too-related-page ul li {
  position: relative;
  margin-right: 10px;
  margin-bottom: 10px;
}
.too-related-page ul a {
  padding-left: 10px;
  padding-right: 10px;
  line-height: 1.5;
  display: block;
}

.user-profile-picture {
  flex: 1 0 0%;
  border-radius: 50%;
  border: 4px solid rgba(255, 255, 255, 0.9);
  max-width: 64px;
}

.too-container-top {
  align-items: stretch;
}

body.archive .inside-article {
  border: 1px solid var(--contrast-3);
  border-radius: 3px;
}
body.archive .inside-article .post-image {
  margin-bottom: 0;
}
body.archive article .entry-header {
  padding: 15px 10px;
}
body.archive article .entry-title {
  font-size: var(--font-lg);
  font-weight: 600;
}
body.archive article .entry-summary {
  margin: 0;
  padding: 15px 10px;
}

body.error404 .site-content .content-area {
  width: 100%;
}
body.error404 .entry-title {
  text-align: center;
}
body.error404 .search-form {
  display: flex;
}
body.error404 .search-form .search-field {
  width: 100%;
}
body.error404 .search-form > label {
  flex: 0 0 80%;
}
body.error404 .search-form > button {
  flex: 0 0 20%;
}

.review-table .affiliate-link a {
  width: 100%;
  max-width: 250px;
}

.review-table.too-table .affiliate-link a {
  font-weight: 500;
  text-transform: uppercase;
  letter-spacing: 0.02em;
  position: relative;
  padding: 10px 20px;
  font-size: var(--font-xs);
}
.review-table.too-table .affiliate-link a:after {
  display: inline-block;
  position: relative;
  content: "";
  top: 5px;
  left: 5px;
  line-height: 20px;
  width: 20px;
  height: 20px;
  background-color: #fff;
  -webkit-mask-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAyMCAyMCIgZmlsbD0iY3VycmVudENvbG9yIiBjbGFzcz0idy01IGgtNSI+CiAgPHBhdGggZmlsbC1ydWxlPSJldmVub2RkIiBkPSJNNC4yNSA1LjVhLjc1Ljc1IDAgMDAtLjc1Ljc1djguNWMwIC40MTQuMzM2Ljc1Ljc1Ljc1aDguNWEuNzUuNzUgMCAwMC43NS0uNzV2LTRhLjc1Ljc1IDAgMDExLjUgMHY0QTIuMjUgMi4yNSAwIDAxMTIuNzUgMTdoLTguNUEyLjI1IDIuMjUgMCAwMTIgMTQuNzV2LTguNUEyLjI1IDIuMjUgMCAwMTQuMjUgNGg1YS43NS43NSAwIDAxMCAxLjVoLTV6IiBjbGlwLXJ1bGU9ImV2ZW5vZGQiIC8+CiAgPHBhdGggZmlsbC1ydWxlPSJldmVub2RkIiBkPSJNNi4xOTQgMTIuNzUzYS43NS43NSAwIDAwMS4wNi4wNTNMMTYuNSA0LjQ0djIuODFhLjc1Ljc1IDAgMDAxLjUgMHYtNC41YS43NS43NSAwIDAwLS43NS0uNzVoLTQuNWEuNzUuNzUgMCAwMDAgMS41aDIuNTUzbC05LjA1NiA4LjE5NGEuNzUuNzUgMCAwMC0uMDUzIDEuMDZ6IiBjbGlwLXJ1bGU9ImV2ZW5vZGQiIC8+Cjwvc3ZnPgo=");
          mask-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHZpZXdCb3g9IjAgMCAyMCAyMCIgZmlsbD0iY3VycmVudENvbG9yIiBjbGFzcz0idy01IGgtNSI+CiAgPHBhdGggZmlsbC1ydWxlPSJldmVub2RkIiBkPSJNNC4yNSA1LjVhLjc1Ljc1IDAgMDAtLjc1Ljc1djguNWMwIC40MTQuMzM2Ljc1Ljc1Ljc1aDguNWEuNzUuNzUgMCAwMC43NS0uNzV2LTRhLjc1Ljc1IDAgMDExLjUgMHY0QTIuMjUgMi4yNSAwIDAxMTIuNzUgMTdoLTguNUEyLjI1IDIuMjUgMCAwMTIgMTQuNzV2LTguNUEyLjI1IDIuMjUgMCAwMTQuMjUgNGg1YS43NS43NSAwIDAxMCAxLjVoLTV6IiBjbGlwLXJ1bGU9ImV2ZW5vZGQiIC8+CiAgPHBhdGggZmlsbC1ydWxlPSJldmVub2RkIiBkPSJNNi4xOTQgMTIuNzUzYS43NS43NSAwIDAwMS4wNi4wNTNMMTYuNSA0LjQ0djIuODFhLjc1Ljc1IDAgMDAxLjUgMHYtNC41YS43NS43NSAwIDAwLS43NS0uNzVoLTQuNWEuNzUuNzUgMCAwMDAgMS41aDIuNTUzbC05LjA1NiA4LjE5NGEuNzUuNzUgMCAwMC0uMDUzIDEuMDZ6IiBjbGlwLXJ1bGU9ImV2ZW5vZGQiIC8+Cjwvc3ZnPgo=");
}
.review-table.too-table .disclaimer {
  position: absolute;
  width: 100%;
  height: auto;
  top: 100%;
  left: 0;
}

.review-table.bg-gray-100 {
  border-radius: 5px;
  background-color: #ECEFF1;
  padding: 10px 10px;
}
.review-table.bg-gray-100 .row-wrapper:nth-child(-n+4) {
  border-color: var(--contrast);
}
.review-table.bg-gray-100 .row-wrapper:nth-child(5) {
  border-color: #78909C;
}
.review-table.bg-gray-100 .row-wrapper:nth-child(6) {
  border-color: #90A4AE;
}
.review-table.bg-gray-100 .row-wrapper:nth-child(7) {
  border-color: #B0BEC5;
}
.review-table.bg-gray-100 .row-wrapper:nth-child(8) {
  border-color: #CFD8DC;
}
.review-table.bg-gray-100 .row-wrapper:nth-child(9) {
  border-color: #ECEFF1;
}
.disclaimer__text {
  margin-bottom: 0;
}

.wrapper-btn-bottom {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  background-color: rgba(255, 255, 255, 0.8);
  display: none;
}

.generate-back-to-top {
  bottom: 60px;
  right: 20px;
}

.visible-active {
  display: block;
}

@media all and (min-width: 350px) {
  .site-header .header-image {
    width: 250px;
  }
}
@media all and (min-width: 500px) {
  .site-header .header-image {
    width: 300px;
  }
  .wrapper-btn-bottom {
    display: none;
  }
}
@media all and (min-width: 768px) {
  .sticky-container > .gb-inside-container, .sticky-container {
    position: -webkit-sticky;
    position: sticky;
    top: 80px;
  }
  #right-sidebar .inside-right-sidebar {
    height: 100%;
  }
  .wrapper-btn-bottom {
    display: none;
  }
  .too-related-page {
    padding: 0;
  }
  .too-related-page ul {
    flex-direction: row;
    align-items: center;
  }
  .too-related-page ul li {
    margin-bottom: 0;
  }
}
@media all and (min-width: 800px) {
  .site-header .header-image {
    width: 400px;
  }
  #right-sidebar .wrapper-toc {
    display: block;
  }
  .wrapper-top-mobile {
    display: none !important;
  }
}
@media all and (max-width: 768px) {
  .site-header .inside-header {
    padding-right: 20px;
    padding-left: 20px;
  }
}
